cURL
curl --request PATCH \
--url https://take.app/api/v2/inventory_items/{item_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"quantity": 1
}'import requests
url = "https://take.app/api/v2/inventory_items/{item_id}"
payload = { "quantity": 1 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({quantity: 1})
};
fetch('https://take.app/api/v2/inventory_items/{item_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"item_id": "<string>",
"object": "inventory_item",
"item_name": "<string>",
"product_id": "<string>",
"variant_id": "<string>",
"sku": "<string>",
"quantity": 123,
"price": 123,
"original_price": 123,
"cost": 123,
"cost_enabled": true,
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Inventory
Update inventory item
PATCH
/
api
/
v2
/
inventory_items
/
{item_id}
cURL
Authorizations
Merchant API V2 token. Pass as Authorization: Bearer <token>.
Path Parameters
Body
application/json
- Option 1
- Option 2
Required range:
x >= 0Response
InventoryItem
Available options:
inventory_item Available options:
product, variant Integer amount in the smallest unit of the store currency (e.g. cents).
Integer amount in the smallest unit of the store currency (e.g. cents).
Integer amount in the smallest unit of the store currency (e.g. cents).
⌘I